LIBVDEPLUG_VDE(1)

NAME
libvdeplug_cmd - vdeplug module: stream a VDE network through a command

SYNOPSIS
libvdeplug_cmd.so

DESCRIPTION
This is the standard vdeplug module to stream a VDE network using a command. This module of libvdeplug4 can be used in any program supporting vde like vde_plug, kvm, qemu, user-mode-linux and virtualbox.

The vde_plug_url syntax of this module is the following:
    cmd://command

EXAMPLES
Appropriate shell quoting is needed.

cmd://"ssh remote.host.org vde_plug vxvde://"
kvm .... -net vde,sock=cmd://"ssh remote.host.org vde_plug vxvde://" ...

In these cases ssh should have been configured to require no foreground authentication (see how to set up public key authentication: ssh(1) and ssh-keygen(1)).

NOTICE
Virtual Distributed Ethernet is not related in any way with www.vde.com ("Verband der Elektrotechnik, Elektronik und Informationstechnik" i.e. the German "Association for Electrical, Electronic & Information Technologies").

SEE ALSO
vde_plug(1),